/**
 * Utilities:
 */

/**
 * returns the html string for a genre and parental text
 *
 * @param {TmaEpgEvent}	event		event object
 * @param {Boolean}		coloring	should genre colouring be used?
 * @returns {String}
 */
function getGenreAndParentalString(event, coloring) {

	var s = '';
	/** @returns {TmaGenre} */
	var genre = null;
	
	if ((event.genre) && (typeof event.genre == 'function')) {
		genre = event.genre();
	} else if ((event.genre) && (event.genre_text)) {
		genre = new TmaGenre({
			genre_value:	0,
			genre_code:		"00",
			genre_text:		event.genre_text
		});
	} else {
		genre = new TmaGenre();
	}	

	if ( 
			((genre) && (genre.genre_text)) || 
			(event.parental_text)
	) {
		s =	(
				'<h4 genre-value="{genre.genre_value}" style="{style}">{genre.genre_text}{parental}</h4>'
		).format({
			genre:		genre,
			style:		(coloring) ? genre.style(true) : '',
			parental:	(event.parental_text) ? ' (' + event.parental_text + ')' : ''
		});
	}

	return s;

}
